Package org.jbpm.services.task.audit.service

## Interface TaskAuditService

- All Known Implementing Classes:
    `TaskAuditServiceImpl`

      public interface TaskAuditService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `auditTaskQuery()` |
    `List<org.kie.internal.task.api.AuditTask>` | `getAllAdminAuditTasksByUser​(String userId, org.kie.internal.query.QueryFilter filter)` |
    `List<org.kie.internal.task.api.AuditTask>` | `getAllAuditTasks​(org.kie.internal.query.QueryFilter filter)` |
    `List<org.kie.internal.task.api.AuditTask>` | `getAllAuditTasksByStatus​(String userId, org.kie.internal.query.QueryFilter filter)` |
    `List<org.kie.internal.task.api.AuditTask>` | `getAllAuditTasksByUser​(String userId, org.kie.internal.query.QueryFilter filter)` |
    `List<org.kie.internal.task.api.AuditTask>` | `getAllGroupAuditTasksByUser​(String userId, org.kie.internal.query.QueryFilter filter)` |
    `List<org.kie.internal.task.api.model.TaskEvent>` | `getAllTaskEvents​(long taskId, org.kie.internal.query.QueryFilter filter)` |
    `List<org.kie.internal.task.api.model.TaskEvent>` | `getAllTaskEventsByProcessInstanceId​(long processInstanceId, org.kie.internal.query.QueryFilter filter)` |
    `void` | `setTaskService​(org.kie.api.task.TaskService taskService)` |
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `taskEventQuery()` |
    `org.kie.internal.task.query.TaskVariableQueryBuilder` | `taskVariableQuery()` |

- - ### Method Detail

    - #### setTaskService

          void setTaskService​(org.kie.api.task.TaskService taskService)

    - #### getAllTaskEvents

          List<org.kie.internal.task.api.model.TaskEvent> getAllTaskEvents​(long taskId,
                                                                           org.kie.internal.query.QueryFilter filter)

    - #### getAllTaskEventsByProcessInstanceId

          List<org.kie.internal.task.api.model.TaskEvent> getAllTaskEventsByProcessInstanceId​(long processInstanceId,
                                                                                              org.kie.internal.query.QueryFilter filter)

    - #### getAllAuditTasks

          List<org.kie.internal.task.api.AuditTask> getAllAuditTasks​(org.kie.internal.query.QueryFilter filter)

    - #### getAllAuditTasksByUser

          List<org.kie.internal.task.api.AuditTask> getAllAuditTasksByUser​(String userId,
                                                                           org.kie.internal.query.QueryFilter filter)

    - #### getAllGroupAuditTasksByUser

          List<org.kie.internal.task.api.AuditTask> getAllGroupAuditTasksByUser​(String userId,
                                                                                org.kie.internal.query.QueryFilter filter)

    - #### getAllAdminAuditTasksByUser

          List<org.kie.internal.task.api.AuditTask> getAllAdminAuditTasksByUser​(String userId,
                                                                                org.kie.internal.query.QueryFilter filter)

    - #### getAllAuditTasksByStatus

          List<org.kie.internal.task.api.AuditTask> getAllAuditTasksByStatus​(String userId,
                                                                             org.kie.internal.query.QueryFilter filter)

    - #### taskEventQuery

          org.kie.internal.task.query.TaskEventQueryBuilder taskEventQuery()

    - #### taskVariableQuery

          org.kie.internal.task.query.TaskVariableQueryBuilder taskVariableQuery()

    - #### auditTaskQuery

          org.kie.internal.task.query.AuditTaskQueryBuilder auditTaskQuery()